VirtualBox

Ticket #19795 (reopened defect)

Opened 12 months ago

Last modified 2 weeks ago

Virtualbox VM (Windows or Linux) crashes on Mac OS Bigsur host

Reported by: hoshikawa2 Owned by:
Component: other Version: VirtualBox 6.1.10
Keywords: Cc:
Guest type: all Host type: Mac OS X

Description

When I try to open a VM (does not matter if Windows or Linux), the error occur

Kernel driver not installed (rc=-1908)

Make sure the kernel module has been loaded successfully.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.

Attachments

CleanShot 2020-08-05 at 12.11.07.png Download (231.4 KB) - added by hoshikawa2 12 months ago.
output1.txt Download (82.2 KB) - added by tom_vbox 8 months ago.
output2.txt Download (24.8 KB) - added by tom_vbox 8 months ago.
output3.txt Download (1.5 KB) - added by tom_vbox 8 months ago.
error_log1.txt Download (66.8 KB) - added by enemyben 8 months ago.
log2.txt Download (278 bytes) - added by enemyben 8 months ago.

Change History

Changed 12 months ago by hoshikawa2

comment:1 Changed 12 months ago by ausmartway

Having exactly the same issue.

comment:2 Changed 12 months ago by ausmartway

I am running 6.1.12, same issue

comment:3 Changed 12 months ago by ausmartway

updated to 6.1.13, same issue

comment:4 Changed 12 months ago by atiensivu

Happens with the test build 6.1.13 r139583 Using Mac OS 11 (20A5343i)

There will be many other broken apps too, because the kext's have new restrictions and other changes that seem to be breaking things.

See also:  https://forums.virtualbox.org/viewtopic.php?f=39&t=98763

This is above my coding ability but it does look like there is a way to support the native hypervisor added to recent OSX versions:  https://developer.apple.com/documentation/hypervisor

comment:5 follow-up: ↓ 7 Changed 11 months ago by aeichner

  • Status changed from new to closed
  • Resolution set to invalid

There is no point in constantly trying out new test builds and reiterating what we already know. macOS BigSur is not supported by VirtualBox currently and until there is a final release it won't be. We know about the new restrictions and will implement a solution when time permits and BigSur progressed further in development. Closing this defect for now.

comment:6 Changed 11 months ago by agodfrin

macOS BigSur is not supported by VirtualBox currently and until there is a final release it won't be.

Sorry, but this is not a valid answer. The very reason why Apple offers beta releases of macOS is precisely so that developers can make sure their products work on the platform at day 0, when it is released. It makes sense that VirtualBox is not *supported* on Big Sur yet - meaning nobody should use VirtualBox on Big Sur for any production work.

But does not prevent the VirtualBox developers from updating the product so it works on beta releases of Big Sur, and make that available - also as a beta release - so that all of us, early testers of Big Sur, can give feedback on VirtualBox too.

The ultimate goal is that VirtualBox works out-of-the box with Big Sur the day it comes out. Not six months later while you figure out how to make it work.

Also the change in the way kernel extensions work is not new. It exists since Catalina came out two years ago. It has been widely publicized and is well known among Apple developers. Other products use kernel extensions. They have updated their code so as to work correctly with Catalina. Some have also reduced the number of kernel extensions and even provide an option to control that.

We all expect the same from VirtualBox. We are as large community of users who rely on VirtualBox for our day to day work. We expect VirtualBox to be developped as a critical product - not a hobby.

comment:7 in reply to: ↑ 5 ; follow-up: ↓ 9 Changed 11 months ago by MyDimeIsUp

Replying to aeichner:

There is no point in constantly trying out new test builds and reiterating what we already know. macOS BigSur is not supported by VirtualBox currently and until there is a final release it won't be. We know about the new restrictions and will implement a solution when time permits and BigSur progressed further in development. Closing this defect for now.

Exactly what agodfrin said. You all need to update VirtualBox for Mac OS, or else you're going to lose to someone else who has initiative to build a virtual machine program for Mac with support for Mac OS 11. The point of the beta is to get applications to work for the upcoming releases.

This is just laziness from the Virtual Box team.

comment:8 Changed 11 months ago by YJSoft

This is not "Invalid".

VirtualBox not running on macOS 11 is "Valid" issue and GM Release will not fix this issue. Although this issue can be fixed only after stable version of macOS release, this issue should be opened until proper fix.

comment:9 in reply to: ↑ 7 Changed 11 months ago by aeichner

Replying to MyDimeIsUp:

[...]

This is just laziness from the Virtual Box team.

And without knowing anything about the team size and what else is being worked this is just plain arrogant and rude.

As a matter of fact, the public BigSur Beta was released barely a month ago right during vacation/holiday time. Yeah the issue is valid, I never stated anything else, but BigSur is not officially released and therefore not supported right now, so this topic doesn't belong to the public bug tracker. It is also not helpful to try out new testbuilds and reiterate that it still doesn't work because we know that. When we implement support we will put up a new testbuild and actively ask users to try it out. I also never wrote that we will wait until the final release of BigSur and only then start adapting VirtualBox to work with it.

comment:10 Changed 10 months ago by aeichner

  • Status changed from closed to reopened
  • Resolution invalid deleted

comment:11 follow-up: ↓ 12 Changed 10 months ago by aeichner

The latest macOS Testbuild (revision >= r140568) has preliminary support for BigSur included. Any feedback is appreciated!

comment:12 in reply to: ↑ 11 Changed 10 months ago by erolsk8

Thanks to everyone working on this, but I just tried it with:

  • VirtualBox-6.1.15-140568-OSX.dmg
  • Command Line Tools for Xcode 12 beta 5 (version: 12.0.0.0.1.1597368733)

And I still get this:

Bringing machine 'default' up with 'virtualbox' provider...
==> default: Checking if box 'ubuntu/xenial64' version '20200923.0.0' is up to date...
==> default: A newer version of the box 'ubuntu/xenial64' for provider 'virtualbox' is
==> default: available! You currently have version '20200923.0.0'. The latest is version
==> default: '20200925.0.0'. Run `vagrant box update` to update.
==> default: Clearing any previously set network interfaces...
There was an error while executing `VBoxManage`, a CLI used by Vagrant
for controlling VirtualBox. The command and stderr is shown below.

Command: ["hostonlyif", "create"]

Stderr: 0%...
Progress state: NS_ERROR_FAILURE
VBoxManage: error: Failed to create the host-only adapter
VBoxManage: error: VBoxNetAdpCtl: Error while adding new interface: failed to open /dev/vboxnetctl: No such file or directory
VBoxManage: error: Details: code NS_ERROR_FAILURE (0x80004005), component HostNetworkInterfaceWrap, interface IHostNetworkInterface
VBoxManage: error: Context: "RTEXITCODE handleCreate(HandlerArg *)" at line 95 of file VBoxManageHostonly.cpp

comment:13 Changed 10 months ago by aeichner

Did you authorize loading of the kernel modules and reboot the system after installation? There should have been dialog prompting you about during installation. If that is the case I need the output of the following commands:

sudo kmutil dumpstate
sudo kmutil showloaded

comment:14 Changed 10 months ago by aeichner

The latest Beta seems to have broken something again, probably related to upgrading. Can you try completely uninstalling VirtualBox and install it again in case you tried to do any upgrade? Then reboot and check whether it works, if it doesn't try the following commands:

sudo kextload -b org.virtualbox.kext.VBoxDrv
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

and report the output of these tools and

sudo dmesg

If the kernel modules appear to be loaded you can try to start a VM again.

Last edited 10 months ago by aeichner (previous) (diff)

comment:15 Changed 10 months ago by aeichner

Apparently loading the KEXTs during boot automatically has stopped working with the latest Beta 8, you have to execute the "sudo kextload..." commands once after every boot in order to run any VM (but they run afterwards), a fix is being investigated.

comment:16 Changed 10 months ago by erolsk8

I followed your instructions @aeichner, and it was solved after I ran those 4 kextload commands!

Thank you so much!

comment:17 Changed 10 months ago by hwchiu

Hi, I tried the latest version but still had the issue, here is my environment and related outputs.

  1. Version 6.1.15 r140592 (Qt5.6.3)
  2. MacOS Big Sur: 11.0 Beta (20A5374i)
╰─$ sudo kextload -b org.virtualbox.kext.VBoxDrv                                                                                  
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB
Password:
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv   
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetFlt   
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetAdp    
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxUSB  

I put the output of dumpstate and showloadaed in the following two links.  https://gist.github.com/hwchiu/3c19aa3b357973f8d64a6c0ccb6204c5  https://gist.github.com/hwchiu/1eb19c6cb027d5fc47715bbddaf880ed

It seems like those four kernel modules don't be loaded. Thanks

comment:18 Changed 10 months ago by aeichner

Is there anything in dmesg related to VirtualBox?

comment:19 Changed 10 months ago by hwchiu

With reinstallation and re-authorize to load kernel modules, I can start the VM now. problem solved. Thanks for your help.

comment:20 Changed 10 months ago by h72837

I'm on beta 8. I first installed the latest stable build and then found out the mac os beta forum section and came accross this ticket

I installed the latest development build over the stable build and installation completed successfully

when the installation finished a popup came up saying some components related to virtualbox were blocked for security reasons so i allowed the components that were being blocked and restarted my pc

after that i tried to uninstall and reinstall virtualbox since I was getting the error

Kernel driver not installed (rc=-1908)

Make sure the kernel module has been loaded successfully.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.

but i kept getting installation failed. I used the uninstall script from the development build package

here's the link to two dmesg logs after running

sudo kextload -b org.virtualbox.kext.VBoxDrv
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

 https://1drv.ms/u/s!AhBwYSzF2LJqgQbMcfE5MShH14V3?e=aNDfaV  https://1drv.ms/u/s!AhBwYSzF2LJqgQWoTVjrYBfxOKaf?e=WwxrzA

the output of those four commands

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Error: Error Domain=KMErrorDomain Code=1 "Kernel request failed: (libkern/kext) kext (kmod) start/stop routine failed (-603946985)" UserInfo={NSLocalizedDescription=Kernel request failed: (libkern/kext) kext (kmod) start/stop routine failed (-603946985)}
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetFlt
Error: Error Domain=KMErrorDomain Code=1 "Kernel request failed: (libkern/kext) dependency load failed (-603946987)" UserInfo={NSLocalizedDescription=Kernel request failed: (libkern/kext) dependency load failed (-603946987)}
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetAdp
Error: Error Domain=KMErrorDomain Code=1 "Kernel request failed: (libkern/kext) dependency load failed (-603946987)" UserInfo={NSLocalizedDescription=Kernel request failed: (libkern/kext) dependency load failed (-603946987)}
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxUSB
Error: Error Domain=KMErrorDomain Code=1 "Kernel request failed: (libkern/kext) dependency load failed (-603946987)" UserInfo={NSLocalizedDescription=Kernel request failed: (libkern/kext) dependency load failed (-603946987)}

here's the output of

sudo kmutil dumpstate

 https://1drv.ms/u/s!AhBwYSzF2LJqgQf2UtZnA6rBDicH?e=qqLF2Q

here's the output of

sudo kmutil showloaded

 https://1drv.ms/u/s!AhBwYSzF2LJqgQlIrv3kWssytH2q?e=I2NZiC

I'm also getting some crashes

 https://1drv.ms/u/s!AhBwYSzF2LJqgQoPDCqAjPXMGBR1?e=9IOnt0

Last edited 10 months ago by h72837 (previous) (diff)

comment:21 Changed 10 months ago by aeichner

Testbuilds got updated with a new 6.1 testbuild including a crash fix when clicking on anything in the GUI which opens a popup menu. For installation it is advised to completely uninstall the old VirtualBox install, reboot and then reinstall VirtualBox and reboot again to make sure that the old KEXTs are removed before the new ones are installed.

comment:22 Changed 10 months ago by h72837

I'm on the latest macos beta build 20A5384C I downloaded 140728, installed it with security options unlocked and when the security popup came up I rebooted to allow virtualbox components to run. Re-ran the installer and installation finished successfully. I'm able to run ubuntu x64 VM both headless and xfce. Windows 10 also runs. I didn't have to run

sudo kextload -b org.virtualbox.kext.VBoxDrv                                                                                  
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

and didn't have to boot into Recovery Mode (Command+R) and access Terminal to disable SIP with command

csrutil disable

here's output logs jic

sudo dmesg

 https://1drv.ms/u/s!AhBwYSzF2LJqgQ-k_1Cncnx1SlCe?e=nfp9Aq

sudo kmutil dumpstate

 https://1drv.ms/u/s!AhBwYSzF2LJqgRDIcMipL5mDk66r?e=5kbQVf

sudo kmutil showloaded

 https://1drv.ms/u/s!AhBwYSzF2LJqgQ6dAUr6tTy83aIa?e=wtb8mx


Vbox logs  https://1drv.ms/u/s!AhBwYSzF2LJqgRHwjPoKo8rJ-gRk?e=svF8WY  https://1drv.ms/u/s!AhBwYSzF2LJqgRIa28J70q8RXj5C?e=dgifnm  https://1drv.ms/u/s!AhBwYSzF2LJqgRO7tzt7-Ws1ar2N?e=hKmn75  https://1drv.ms/u/s!AhBwYSzF2LJqgRRl6RsGKDkd1toO?e=CKp7Id

Last edited 10 months ago by h72837 (previous) (diff)

comment:23 Changed 10 months ago by wotchr

I’m seeing similar behaviour:-

On Big Sur Beta (20A5384c) with csrutil disabled and a fresh install via Recovery. Uninstalled previous VirtualBox, rebooted and installed VirtualBox 140728 with security options unlocked, but I get no security popup.

(Have disabled Gatekeeper so that “Allow apps downloaded from Anywhere” is ticked).

Also ran

sudo kextload -b org.virtualbox.kext.VBoxDrv

sudo kextload -b org.virtualbox.kext.VBoxNetFlt

sudo kextload -b org.virtualbox.kext.VBoxNetAdp

sudo kextload -b org.virtualbox.kext.VBoxUSB

Rebooted.

Am able to open VirtualBox, but existing and new Virtual Machines throw up the NS_ERROR_FAILURE

Result Code: NS_ERROR_FAILURE (0x80004005) Component: MachineWrap Interface: IMachine {85632c68-b5bb-4316-a900-5eb28d3413df}

Here’s the various outputs:-

Sudo dmesg  https://docs.google.com/document/d/1druF-9KTOOfAQj4KZ9fvWH67ZNOTPlaaup_-UtglybU/edit?usp=sharing

sudo kmutil dumpstate  https://docs.google.com/document/d/1XkGAA4rr4-uN31iAn3uu-ldTleOGf3Y1zhowyBeEcdE/edit?usp=sharing

sudo kmutil showloaded  https://docs.google.com/document/d/1YuDlOl4A0xYmKtZnkRA6-BB2Bs54SRAEwatzbxDGV3s/edit?usp=sharing

comment:24 Changed 10 months ago by tyll

@wotchr: Do they boot in headless mode? I have the same issue but my VMs will start headless.

Edit: Never mind, I installed r140728 and the installation fails. VMs won't start at all. It also fails trying to reinstall the previous version (r140592) where headless worked.

Edit 2: I got it installed again via

spctl kext-consent add VB5E2TV963

in a recovery Terminal (copied from  https://forums.virtualbox.org/viewtopic.php?f=8&t=93133). They still only boot headless, though.

Last edited 10 months ago by tyll (previous) (diff)

comment:25 Changed 10 months ago by wotchr

@tyll I mean to add that - yes they do boot in headless mode

comment:26 follow-ups: ↓ 28 ↓ 38 Changed 10 months ago by aeichner

Thanks for the feedback so far, there is a new testbuild available at the Testbuilds page which contains some fixes to the installer. When testing make sure that you have completely uninstalled VirtualBox and rebooted the host before attempting to install it again. Please also don't disable SIP because we're interested in feedback with everything enabled, the testbuild is fully signed and notarized so there should be no issue in that regard. The installer should show a prompt now to notify the user that a reboot is required but with a Beta 9 host here this doesn't appear to work always and Apple doesn't show any dialog either. So in any case you have to reboot again after installing VirtualBox (annoying but this is something we cannot change or work around in any way, this is enforced by Apple and their new style of loading KEXTs...).

comment:27 Changed 10 months ago by wotchr

Success!! Great work - thanks!!

  • Uninstalled and rebooted
  • SIP Enabled
  • Kept System Prefs closed
  • Installation succeeded
  • Installed Extensions pack
  • Rebooted*
  • Virtual Machine started up
  • I'm on beta 9 and - as you suggested - didn't get the prompt to reboot.

comment:28 in reply to: ↑ 26 Changed 10 months ago by reydelanada

Replying to aeichner:

Thanks for the feedback so far, there is a new testbuild available at the Testbuilds page which contains some fixes to the installer. When testing make sure that you have completely uninstalled VirtualBox and rebooted the host before attempting to install it again. Please also don't disable SIP because we're interested in feedback with everything enabled, the testbuild is fully signed and notarized so there should be no issue in that regard. The installer should show a prompt now to notify the user that a reboot is required but with a Beta 9 host here this doesn't appear to work always and Apple doesn't show any dialog either. So in any case you have to reboot again after installing VirtualBox (annoying but this is something we cannot change or work around in any way, this is enforced by Apple and their new style of loading KEXTs...).

Sorry, did what you state and it's not working here. I already had dsrutil disabled... Any command you find usefull please ask.

comment:29 Changed 10 months ago by aeichner

Please provide the output of the following commands executed in the specified order below:

sudo kmutil showloaded | grep org.virtualbox
sudo kmutil load -b org.virtualbox.kext.VBoxDrv
sudo kmutil showloaded | grep org.virtualbox
sudo dmesg (only the last 50 lines)

comment:30 Changed 10 months ago by reydelanada

sudo kmutil load -b org.virtualbox.kext.VBoxDrv shows nothing.

sholoaded:

  167    3 0xffffff7fa16ff000 0xb2000    0xb2000    org.virtualbox.kext.VBoxDrv (6.1.15) 60B0B6CA-9222-386E-B611-C3581C056351 <8 6 5 3 1>
  173    0 0xffffff7fa17dc000 0x5000     0x5000     org.virtualbox.kext.VBoxUSB (6.1.15) 509748A8-9DF3-3C55-B0E2-362BCB938918 <172 167 66 8 6 5 3 1>
  175    0 0xffffff7fa17d7000 0x4000     0x4000     org.virtualbox.kext.VBoxNetFlt (6.1.15) FD6005F3-007E-319A-BF13-5279B640F210 <167 8 6 5 3 1>
  176    0 0xffffff7fa17d1000 0x2000     0x2000     org.virtualbox.kext.VBoxNetAdp (6.1.15) 15ECAC99-589A-33D3-93D2-DC076B97BC3B <167 6 5 1>

LAst 50 dmesg:

[ 6867.316537]:   !isOnline() setting online 
[ 6867.316539]: + IOAudioEngine[<ptr>]::startClient(<ptr>)
[ 6867.316541]: + IOAudioEngine[<ptr>]::incrementActiveUserClients() - 0
[ 6867.316544]: + IOAudioEngine[<ptr>]::startAudioEngine(state = 0)
[ 6867.316546]: + IOAudioDevice[<ptr>]::protectedCompletePowerStateChange() - current = 2 - pending = 2
[ 6867.316548]: - IOAudioDevice[<ptr>]::protectedCompletePowerStateChange() - current = 2 - pending = 2 returns 0x0
[ 6867.316551]: + IOAudioDevice[<ptr>]::protectedCompletePowerStateChange() - current = 2 - pending = 2
[ 6867.316552]: - IOAudioDevice[<ptr>]::protectedCompletePowerStateChange() - current = 2 - pending = 2 returns 0x0
[ 6867.316554]: + IOAudioDevice[<ptr>]::audioEngineStarting() - numRunningAudioEngines = 0
[ 6867.316555]: - IOAudioDevice[<ptr>]::audioEngineStarting() - numRunningAudioEngines = 1
[ 6867.316557]: +- IOAudioEngine[<ptr>]::resetStatusBuffer()
[ 6867.317891]: +-IOAudioEngine[<ptr>]::setState(0x1. oldState=0)
[ 6867.317899]: - IOAudioEngine[<ptr>]::getTimerInterval()
[ 6867.317955]: - IOAudioEngine[<ptr>]::startAudioEngine() returns 0x0
[ 6867.317957]: - IOAudioEngine[<ptr>]::incrementActiveUserClients() - 1 returns 0
[ 6867.317959]: - IOAudioEngine[<ptr>]::startClient(<ptr>) returns 0x0
[ 6867.317960]:   engine started 
[ 6867.317961]:   bufferSet <ptr> 
[ 6867.317962]:   output clientBuffer <ptr> 
[ 6867.317963]: + IOAudioStream[<ptr>]::addClient(<ptr>)
[ 6867.317966]: - IOAudioStream[<ptr>]::addClient(<ptr>) returns 0x0
[ 6867.317968]: - IOAudioEngineUserClient[<ptr>]::startClient() - 1 returns 0x0
[ 6867.317970]: - IOAudioEngineUserClient::externalMethod returns 0x0
[ 6867.899063]: + IOAudioEngineUserClient::externalMethod, selector=0x4,   arg0 0x0, arg1 0x0, arg2 0x0 arg3 0x0 
[ 6867.899069]:   scalarInputCount=0x0  structureInputSize 0x0, scalarOutputCount 0x0, structureOutputSize 0x0 
[ 6867.899076]: + IOAudioStream[<ptr>]::removeClient(<ptr>)
[ 6867.899081]: +-IOAudioStream[<ptr>]::safeLogError kErrorLogDumpCounters mStreamErrorCountsUpdated=0
[ 6867.899082]: - IOAudioStream[<ptr>]::removeClient(<ptr>)
[ 6867.899346]: +- IOAudioEngine[<ptr>]::decrementActiveUserClients() - 0 returns 0x0
[ 6867.899348]: +- IOAudioEngine[<ptr>]::stopClient(<ptr>) returns 0x0
[ 6867.899351]: +- IOAudioEngineUserClient[<ptr>]::setOnline(0)
[ 6867.899352]: - IOAudioEngineUserClient::externalMethod returns 0x0
[ 6867.899382]: + IOAudioEngineUserClient::externalMethod, selector=0x1,   arg0 0x102999000, arg1 0x77, arg2 0x0 arg3 0x0 
[ 6867.899385]:   scalarInputCount=0x2  structureInputSize 0x0, scalarOutputCount 0x0, structureOutputSize 0x0 
[ 6867.899387]: + IOAudioEngineUserClient[<ptr>]::unregisterClientBuffer64(0x<ptr>, 0x77)
[ 6867.899389]:   searching for sourceBuffer 0x102999000 
[ 6867.899392]: +- IOAudioEngineUserClient[<ptr>]::removeBufferSet(<ptr>)
[ 6867.899393]: + IOAudioStream[<ptr>]::removeClient(<ptr>)
[ 6867.899394]: +-IOAudioStream[<ptr>]::safeLogError kErrorLogDumpCounters mStreamErrorCountsUpdated=0
[ 6867.899396]: - IOAudioStream[<ptr>]::removeClient(<ptr>)
[ 6867.899415]: - IOAudioEngineUserClient::unregisterClientBuffer64 no sourcebuffer returns 0x0
[ 6867.899417]: - IOAudioEngineUserClient::externalMethod returns 0x0
[ 6869.083764]: + IOAudioEngine[<ptr>]::stopAudioEngine()
[ 6869.084026]: +-IOAudioEngine[<ptr>]::setState(0x0. oldState=0x1)
[ 6869.084120]: + IOAudioDevice[<ptr>]::audioEngineStopped() - numRunningAudioEngines = 1
[ 6869.084122]: + IOAudioDevice[<ptr>]::scheduleIdleAudioSleep: idleSleepDelayTime = ffffffffffffffffffffffff
[ 6869.084124]: - IOAudioDevice[<ptr>]::scheduleIdleAudioSleep: idleSleepDelayTime = ffffffffffffffffffffffff
[ 6869.084130]: - IOAudioDevice[<ptr>]::audioEngineStopped() - numRunningAudioEngines = 0
[ 6869.084132]: - IOAudioEngine[<ptr>]::stopAudioEngine() returns 0x0
[ 6869.084137]: +-IOAudioEngine[<ptr>]::setState(0x0. oldState=0)

Thanks!

comment:31 Changed 10 months ago by aeichner

The output clearly shows that the kernel modules are loaded, so something else must be gooing wrong for you. Can you attach the VBoxSVC.log and a VM log of the affected VM in case it is actually created?

comment:32 Changed 10 months ago by reydelanada

VBox.log

00:00:01.368486 VirtualBox VM 6.1.15 r140753 darwin.amd64 (Oct  5 2020 09:20:47) release log
00:00:01.368490 Log opened 2020-10-05T17:15:00.494027000Z
00:00:01.368491 Build Type: release
00:00:01.368504 OS Product: Darwin
00:00:01.368509 OS Release: 20.1.0
00:00:01.368515 OS Version: Darwin Kernel Version 20.1.0: Thu Sep 24 20:22:06 PDT 2020; root:xnu-7195.40.89.100.3~1/RELEASE_X86_64
00:00:01.368596 DMI Product Name: iMac17,1
00:00:01.368638 DMI Product Version: 1.0
00:00:01.368640 Firmware type: failed - VERR_NOT_SUPPORTED
00:00:01.368649 Host RAM: 24576MB (24.0GB) total, 12108MB (11.8GB) available
00:00:01.368651 Executable: /Applications/VirtualBox.app/Contents/Resources/VirtualBoxVM.app/Contents/MacOS/VirtualBoxVM
00:00:01.368654 Process ID: 10559
00:00:01.368654 Package type: DARWIN_64BITS_GENERIC
00:00:01.369600 ERROR [COM]: aRC=VBOX_E_FILE_ERROR (0x80bb0004) aIID={872da645-4a9b-1727-bee2-5585105b9eed} aComponent={ConsoleWrap} aText={VM cannot start because the saved state file '/Users/pgutierrez/VirtualBox VMs/machine_default_1591798738012_34294/Snapshots/2020-09-18T09-41-58-508466000Z.sav' is invalid (VERR_FILE_NOT_FOUND). Delete the saved state prior to starting the VM}, preserve=false aResultDetail=-102
00:00:01.369679 GUI: Aborting startup due to power up issue detected...
00:00:01.369720 GUI: UIMediumEnumerator: Medium-enumeration finished!

Please tell me the location of VBoxSVC.log

Thanks

comment:33 Changed 10 months ago by reydelanada

Found it :)

00:00:00.001440 main     VirtualBox XPCOM Server 6.1.15 r140753 darwin.amd64 (Oct  5 2020 09:20:47) release log
00:00:00.001446 main     Log opened 2020-10-05T17:14:43.201131000Z
00:00:00.001446 main     Build Type: release
00:00:00.001461 main     OS Product: Darwin
00:00:00.001466 main     OS Release: 20.1.0
00:00:00.001472 main     OS Version: Darwin Kernel Version 20.1.0: Thu Sep 24 20:22:06 PDT 2020; root:xnu-7195.40.89.100.3~1/RELEASE_X86_64
00:00:00.001572 main     DMI Product Name: iMac17,1
00:00:00.001611 main     DMI Product Version: 1.0
00:00:00.001614 main     Firmware type: failed - VERR_NOT_SUPPORTED
00:00:00.001639 main     Host RAM: 24576MB (24.0GB) total, 12378MB (12.0GB) available
00:00:00.001643 main     Executable: /Applications/VirtualBox.app/Contents/MacOS/VBoxSVC
00:00:00.001643 main     Process ID: 10547
00:00:00.001644 main     Package type: DARWIN_64BITS_GENERIC
00:00:00.004969 main     IPC socket path: /tmp/.vbox-pgutierrez-ipc/ipcd
00:00:00.107158 nspr-2   VirtualBox: object creation starts
00:00:00.107253 nspr-2   Home directory: '/Users/pgutierrez/Library/VirtualBox'
00:00:00.107545 nspr-2   Loading settings file "/Users/pgutierrez/Library/VirtualBox/VirtualBox.xml" with version "1.12-macosx"
00:00:00.140824 nspr-2   HostDnsMonitor: initializing
00:00:00.141199 dns-monitor HostDnsMonitor: updating information
00:00:00.143607 nspr-2   VD: VDInit finished with VINF_SUCCESS
00:00:00.144342 nspr-2   Loading settings file "/Users/pgutierrez/VirtualBox VMs/machine_default_1591798738012_34294/machine_default_1591798738012_34294.vbox" with version "1.12-macosx"
00:00:00.145342 nspr-2   OCI: Local config file '/Users/pgutierrez/Library/VirtualBox/oci_config' does not exist
00:00:00.145378 nspr-2   OCI: Original config file '/Users/pgutierrez/.oci/config' does not exist
00:00:00.145388 nspr-2   OCI: Reading profiles finished with status NS_OK
00:00:00.145402 nspr-2   ExtPack: Created cloud provider 'OCI' (hrc=NS_OK)
00:00:00.145422 nspr-2   VirtualBox: object created
00:00:00.145495 dns-monitor HostDnsMonitor: old information
00:00:00.145515 dns-monitor   no server entries
00:00:00.145524 dns-monitor   no domain set
00:00:00.145530 dns-monitor   no search string entries
00:00:00.145537 dns-monitor HostDnsMonitor: new information
00:00:00.145544 dns-monitor   server 1: 8.8.8.8
00:00:00.145551 dns-monitor   server 2: 8.8.4.4
00:00:00.145557 dns-monitor   no domain set
00:00:00.145564 dns-monitor   no search string entries
00:00:01.379131 nspr-3   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:01.381725 nspr-4   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:01.438818 nspr-4   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:02.894260 nspr-4   Launched VM: 2734858896 pid: 10553 (0x2939) frontend: GUI/Qt name: machine_default_1591798738012_34294
00:00:03.103560 nspr-4   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:03.792499 nspr-2   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:04.268949 nspr-4   Load [/Applications/VirtualBox.app/Contents/MacOS/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/darwin.amd64/VBoxHostWebcam.dylib] vrc=VINF_SUCCESS
00:00:04.418802 nspr-3   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={SessionMachine} aText={Saved guest size is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:04.515644 nspr-4   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={SessionMachine} aText={Saved screenshot data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:04.626678 nspr-4   Saving settings file "/Users/pgutierrez/VirtualBox VMs/machine_default_1591798738012_34294/machine_default_1591798738012_34294.vbox" with version "1.12-macosx"
00:00:04.722164 nspr-6   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:05.837880 nspr-3   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:15.895294 nspr-6   Launched VM: 2708541200 pid: 10559 (0x293f) frontend: GUI/Qt name: machine_default_1591798738012_34294
00:00:15.995137 nspr-2   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:16.678941 nspr-3   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:17.135422 nspr-4   Load [/Applications/VirtualBox.app/Contents/MacOS/ExtensionPacks/Oracle_VM_VirtualBox_Extension_Pack/darwin.amd64/VBoxHostWebcam.dylib] vrc=VINF_SUCCESS
00:00:17.151026 nspr-5   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={SessionMachine} aText={Saved guest size is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:17.249916 nspr-5   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={SessionMachine} aText={Saved screenshot data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102
00:00:18.523007 nspr-3   ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={Saved screenshot thumbnail data is not available (VERR_FILE_NOT_FOUND)}, preserve=false aResultDetail=-102

comment:34 follow-up: ↓ 35 Changed 10 months ago by aeichner

Interesting, the VM you try to start has a saved state but VirtualBox can't find it:

00:00:01.369600 ERROR [COM]: aRC=VBOX_E_FILE_ERROR (0x80bb0004) aIID={872da645-4a9b-1727-bee2-5585105b9eed} aComponent={ConsoleWrap} aText={VM cannot start because the saved state file '/Users/pgutierrez/VirtualBox VMs/machine_default_1591798738012_34294/Snapshots/2020-09-18T09-41-58-508466000Z.sav' is invalid (VERR_FILE_NOT_FOUND). Delete the saved state prior to starting the VM}, preserve=false aResultDetail=-102

Can you check whether the file exist at that location?

comment:35 in reply to: ↑ 34 Changed 10 months ago by reydelanada

Replying to aeichner:

Interesting, the VM you try to start has a saved state but VirtualBox can't find it:

00:00:01.369600 ERROR [COM]: aRC=VBOX_E_FILE_ERROR (0x80bb0004) aIID={872da645-4a9b-1727-bee2-5585105b9eed} aComponent={ConsoleWrap} aText={VM cannot start because the saved state file '/Users/pgutierrez/VirtualBox VMs/machine_default_1591798738012_34294/Snapshots/2020-09-18T09-41-58-508466000Z.sav' is invalid (VERR_FILE_NOT_FOUND). Delete the saved state prior to starting the VM}, preserve=false aResultDetail=-102

Can you check whether the file exist at that location?

I already checked that, but there is no file there.

comment:36 Changed 10 months ago by reydelanada

I fixed the saved state issue... now it's working :)

comment:37 Changed 10 months ago by aeichner

Uninstalling a KEXT is not working right now with the latest Beta as stated  here (search for 64331929). When uninstalling VirtualBox you have to follow the mentioned workaround in order to fully uninstall the KEXTs.

comment:38 in reply to: ↑ 26 Changed 10 months ago by tyll

Replying to aeichner: Just wanted to chime in and confirm that as of r140753 the VMs open now. Thanks for fixing it!

comment:39 Changed 10 months ago by modym

Hi,

I am on the most recent beta of Big Sur and on the most recent testbuild (as far as I know) r140809, however I am still receiving a "kernal driver not installed" error. when installing, I uninstalled the previous version, rebooted, installed r140809, and rebooted again. Am I missing something?

Thanks!

comment:40 follow-up: ↓ 43 Changed 9 months ago by Jasmin

I am currently on Big Sur build 20A5395g and have tried installing 140902 VirtualBox build. Results are that it installs, but I never see a Security Preferences pop up anything. I've tried uninstalling, rebooting, re-installing, keeping Security Preferences open and unlocked, tried with and without SIP. Tried also to set consent using spctl kext-consent add VB5E2TV963, but that didn't work. When I run:

sudo kextload -b org.virtualbox.kext.VBoxDrv
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

I get:

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Extension with identifiers org.virtualbox.kext.VBoxDrv not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetFlt
Extension with identifiers org.virtualbox.kext.VBoxNetFlt,org.virtualbox.kext.VBoxDrv not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetAdp
Extension with identifiers org.virtualbox.kext.VBoxDrv,org.virtualbox.kext.VBoxNetAdp not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxUSB
Extension with identifiers org.virtualbox.kext.VBoxDrv,org.virtualbox.kext.VBoxUSB not approved to load. Please approve using System Preferences.

So stuck here at this point unless anyone can offer any further assistance on anything else I can try?

Last edited 9 months ago by Jasmin (previous) (diff)

comment:41 Changed 9 months ago by rajatag

Issue continues with r141128 on Big Sur build 20A5395g

comment:42 in reply to: ↑ description Changed 9 months ago by haecker

Sorry for the comment, just trying to get on the CC list which seems impossible without making a comment.

comment:43 in reply to: ↑ 40 ; follow-up: ↓ 45 Changed 9 months ago by NickyD

I was able to get VirtualBox 6.1.16 r140961 running on BigSur macOS 11.0.1 (20B29) / Darwin 20.1.0

Step 1

sudo kextload -b org.virtualbox.kext.VBoxDrv

Step 2 - Go into System Preferences->Security & Privacy

Step 3 - Unlock the security center

Step 4 - Approve the software by Oracle

Step 5

sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

Step 6 - Reboot!

Replying to Jasmin:

I am currently on Big Sur build 20A5395g and have tried installing 140902 VirtualBox build. Results are that it installs, but I never see a Security Preferences pop up anything. I've tried uninstalling, rebooting, re-installing, keeping Security Preferences open and unlocked, tried with and without SIP. Tried also to set consent using spctl kext-consent add VB5E2TV963, but that didn't work. When I run:

sudo kextload -b org.virtualbox.kext.VBoxDrv
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

I get:

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Extension with identifiers org.virtualbox.kext.VBoxDrv not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetFlt
Extension with identifiers org.virtualbox.kext.VBoxNetFlt,org.virtualbox.kext.VBoxDrv not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetAdp
Extension with identifiers org.virtualbox.kext.VBoxDrv,org.virtualbox.kext.VBoxNetAdp not approved to load. Please approve using System Preferences.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxUSB
Extension with identifiers org.virtualbox.kext.VBoxDrv,org.virtualbox.kext.VBoxUSB not approved to load. Please approve using System Preferences.

So stuck here at this point unless anyone can offer any further assistance on anything else I can try?

comment:44 Changed 9 months ago by jalkmco9qi32

NickyD, Never get the "Approve the software by Oracle" trigger.

sudo kextload gets me a laundry list of unresolved dependencies.

Seems Oracle should have been working on this and not abandoned testing and just wait till the official release, as that causes users to have issues when they actually update.

Any ideas?

Last edited 9 months ago by jalkmco9qi32 (previous) (diff)

comment:45 in reply to: ↑ 43 Changed 8 months ago by Jasmin

Still no progress, cannot proceed with Big Sur 11.0.1 and Virtual Box 6.1.97-141309. Never see any security pop ups, no matter what I try.

comment:46 Changed 8 months ago by qkdreyer

I've uninstalled Virtual Box, rebooted, installed latest 6.1.x test builds (https://www.virtualbox.org/download/testcase/VirtualBox-6.1.17-141348-OSX.dmg), and running the following command sudo kextload -b org.virtualbox.kext.VBoxDrv triggers the error :


Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Validating extension failed: KernelExtension org.virtualbox.kext.VBoxDrv v6.1.17 in executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext:

Filesystem error: Invalid directory for executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext. Should appear in one of:
	/System/Library/Extensions
	/Library/Apple/System/Library/Extensions
	/Library/Extensions
	/AppleInternal/Library/Extensions
	/System/AppleInternal/Library/AuxiliaryExtensions
	/System/AppleInternal/Diagnostics/AuxiliaryExtensions
	/System/Library/AuxiliaryExtensions
	/Library/StagedExtensions
	/private/var/db/KernelExtensionManagement/Staging

comment:47 Changed 8 months ago by tom_vbox

It seems that the issue and a workaround are described here:

 https://forums.virtualbox.org/viewtopic.php?f=39&t=98763&sid=7541dfcace7a86fdb5bc8a281296ad94&start=75#p488555

It seems to be an issue that virtualbox is not loading the extensions if SIP is modified. Hope this helps the developers to solve it. I would like to change my sip settings again for usage with other apps and scripts. Hopefully there will be a solution in the next release.

Last edited 8 months ago by tom_vbox (previous) (diff)

comment:48 Changed 8 months ago by jalkmco9qi32

Just to make sure, you have to boot to recovery mode to get this pile to work? Maybe oracle dev's should have not kicked this can down the road with the arrogance of "we don't support beta products" It's not that you are supporting them, Beta exists for a reason, so YOU CAN MAKE SURE YOUR SOFTWARE WORKS when the actual release comes.

Hey at least I don't pay for the product! If I did, I'd look for a competent vendor.

comment:49 follow-up: ↓ 52 Changed 8 months ago by TommiC

I'm now getting very frustrated with this. I have now used hours and hours for trying to reinstall Virtualbox 5.2 (the only version that works with our Vagrant box) and without any success. I have tried all of those "workarounds" and they are not working and I'm not seeing any security pop-ups.

comment:50 Changed 8 months ago by haecker

@all: I would suggest you guys all do the same that one has to do with a major system upgrade: Do your research first, check which mission critical applications you have, then _DO NOT UPDATE_ until you are sure that they all work. It's not much googling and it's the reason I'm on this bug - I want to know when it's safe to upgrade because the Software I depend on works.

And while it doesn't: I'm guessing you are liable to get all the money back you payed for this open source package. So maybe pack up your civility and either a) pay the developers some money to work on the issues you care about, or b) try to at least contribute something that helps them to do what you want.

I am sure they are already working on support - it's inevitable. But software does take time.

comment:51 Changed 8 months ago by jalkmco9qi32

@haecker: Funny you say that but there is no way to "contribute" monetarily to the project, because it is OWNED BY ORACLE.

Oracle has $39.70 BILLION in Revenue for 2020 (wiki data, I can only assume its projected) Just over 1/4th of that is Operating Expense.

Some history:

-- VirtualBox was first offered by Innotek GmbH from Weinstadt, Germany, under a proprietary software license, making one version of the product available at no cost for personal or evaluation use, subject to the VirtualBox Personal Use and Evaluation License (PUEL)

-- Feb 2008, Sun Microsystems acquired Innotek

-- May 2009, Oracle buys Virtual Iron Software - Server Virtualization Software

-- Jan 2010 Oracle Corporation acquired Sun, re-branded the product as "Oracle VM VirtualBox"

-- Feb 2016, Oracle buys Ravello Systems - Virtualization Company

Oracle bought up other virtualization software for network frame work and other facets. Fact is Oracle wanted into this market, we didn't want Oracle. They bought it simply because they needed a virtualization software that THEY OWNED so they didn't have to pay licensing costs to another company for their bread and butter products.

They support the product because they have to internally, but of course internally they don't need the OSX product. They *NEED* the Linux and Solaris based product to continue to provide a bridge between current technology and legacy systems which many of their customer base is still on, in some form or fashion.

If they want to give this project back to the public domain to maintain and support then by all means do it.

But to make statements that "we don't support dev products" when the specific reason any of these threads where started was to alert them that "a bug exists in a product that WILL BE RELEASED" which gives them ample time to troubleshoot and overcome the issue with a product. To think they would just kick this can down the road until the "actual prodcut" is released is total nonsense.

What if every vender did that? Then we would hear "we don't support products until 90 days after release, 12 months after release, to allow ample time for the OS Provider to 'work out their bugs' then we act"

That logic is simply ludicrous. We gave them ample time and they just simply do not care. But that is the mainstay of all things Oracle, is why so many companies have simply moved away from their entire eco system. Just like MySQL, PostgreSQL, MongoDB, DB2, Google BigTable, Amazon...

Most of us that use Virtualbox are not just idiots running an old copy of XP or Win7, we are developers also.

But before you start banging out nonsense, which your above clearly is, there is NO WAY TO PAY DEVELOPERS FOR THE VIRTUAL BOX PROJECT.

Last edited 8 months ago by jalkmco9qi32 (previous) (diff)

comment:52 in reply to: ↑ 49 ; follow-up: ↓ 56 Changed 8 months ago by aeichner

Replying to TommiC:

I'm now getting very frustrated with this. I have now used hours and hours for trying to reinstall Virtualbox 5.2 (the only version that works with our Vagrant box) and without any success. I have tried all of those "workarounds" and they are not working and I'm not seeing any security pop-ups.

VirtualBox 5.2 is EOL and won't get support for BigSur. The latest 6.1.16 release has support for it. It works on my local machine with SIP enabled etc. If this release doesn't work for someone we need the exact error message and output from the commands mentioned in comment 13 and comment 14.

@jalkmco9qi32: Stop your off topic ramblings about things you have no clue about, next time I'll remove them because they don't add any information related to the issue. The OSX variant is used internally.

"If they want to give this project back to the public domain to maintain and support then by all means do it.": VirtualBox is open source. We don't prevent anyone from stepping up and submitting patches but for some reason we didn't get anything so far from you...

"We gave them ample time and they just simply do not care" is a joke. _You_ didn't gave us anything, especially when it comes to time time. It is just arrogant to assume that engineers have nothing else to do than waiting for Apple changing something fundamentally and immediately starting to implement support for it during the Beta cycle. Apple completely re-did their KEXT handling and there were issues throughout the different Betas with it blocking us from getting everything tested extensively, they even changed the kmutil command line tool completey in the last Beta.</rant>

Changed 8 months ago by tom_vbox

Changed 8 months ago by tom_vbox

Changed 8 months ago by tom_vbox

comment:53 follow-up: ↓ 55 Changed 8 months ago by tom_vbox

@aeichner: Thanks for stepping in and trying to help.

It seems that the following steps/setup causes reproducible issues for a lot of users as confirmed here:  https://forums.virtualbox.org/viewtopic.php?f=39&t=98763&start=75

Boot into recovery, open Terminal, type

csrutil enable --without debug --without fs

Boot back into Big Sur and try to launch a VM in virtualbox.

I attached the output of the commands you suggested as output1/2/3.txt and hope this helps solving the issue.

Thanks in advance

Last edited 8 months ago by tom_vbox (previous) (diff)

comment:54 Changed 8 months ago by gundr

Hello, I was able to run Version 6.1.16 r140961 (Qt5.6.3) on mac Big Sur today.

Just a note on Privacy Approve settings: After upgrading to 6.1.16 r140961, I got an alert to approve for an another software i have installed a couple of days ego (VPN) and was wondering why macOS did not ask me to approve the VirtualBox. I have ignored the Approve alert and opened a VM in Virtual Box. Still Same error. I restarted mac and virtual box, still got the same error. In fact the new Virtual Box was crashing after close error dialog. That's the story till yesterday.

Today i checked the privacy settings for any approval again. (Usually mac keeps the approval message until we click allow button on Privacy settings.) This time i found that , some system settings can only applied after Restart and showed Restart button instead of Allow button.

I had to enter my password to enable the restart button. After mac is restarted, i see all my VMs booting without any issues.

So the Privacy Settings Approval could have some inconsistencies too. I wanted to share this so that it can help someone.

thanks

Last edited 7 months ago by gundr (previous) (diff)

comment:55 in reply to: ↑ 53 Changed 8 months ago by mattcen

EDIT

Nevermind! Further research indicated that the problem was my ZFS installation which  hasn't been made compatible with Big Sur yet. I  uninstalled that, and then ran kmutil load -b org.virtualbox.kext.VBoxDrv, and it prompted for approval etc. I then did the same for the other modules, and rebooted, and it all works now! Sorry for the noise!


Hey folks,

This has been giving me grief for a few days now.

The virtual machine 'izzy' has terminated unexpectedly during startup with exit code 1 (0x1).


Result Code: 
NS_ERROR_FAILURE (0x80004005)
Component: 
MachineWrap
Interface: 
IMachine {85632c68-b5bb-4316-a900-5eb28d3413df}

Kernel driver not installed (rc=-1908)

Make sure the kernel module has been loaded successfully.

where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.

I've tried  suggestions from @tom_vbox. I

  1. Uninstalled Vbox
  2. Ran csrutil clear in Recovery
  3. Rebooted and installed Vbox (6.1.16-140961)

But I'm getting no request to approve the kernel modules, and still getting the above error.

I've tried these steps a couple of times.

I subsequently tried spctl kext-consent add VB5E2TV963 which didn't help (but spctl kext-consent list does show that team identifier).

$ lastmsg=$(sudo dmesg | tail -1 | sed -e 's/\]:.*//' -e 's/\[ *//' )
$ echo "$lastmsg"
4397.652774
$ sudo kmutil showloaded | grep org.virtualbox
No variant specified, falling back to release
$ time sudo kmutil load -b org.virtualbox.kext.VBoxDrv
Error occurred while building a collection: in '/Library/StagedExtensions/Library/Extensions/spl.kext/Contents/PlugIns/KernelExports.kext/KernelExports' missing __TEXT segment

real    0m7.032s
user    0m0.020s
sys     0m0.019s
$ sudo kmutil showloaded | grep org.virtualbox
No variant specified, falling back to release
$ sudo dmesg | sed -n "/$lastmsg/,\$p"
[ 4397.652774]: SmartBattery: finished polling type 4
[ 4424.123502]: tcp_timers: tcp_output() returned 0 with retransmission timer disabled for 57621 > 49898 in state 4, reset timer to 11990
$ 

I've not seen anybody else get the "missing __TEXT segment" error listed above, and a web search for it doesn't turn up much at all. Also, I ran the kmutil load with time because I can't imagine it should usually take 7 seconds to try to load a kernel module, should it?

VBoxSVC.log:

00:00:00.001969 main     VirtualBox XPCOM Server 6.1.16 r140961 darwin.amd64 (Oct 16 2020 12:30:37) release log
00:00:00.001976 main     Log opened 2020-11-24T00:24:24.272510000Z
00:00:00.001977 main     Build Type: release
00:00:00.001997 main     OS Product: Darwin
00:00:00.002004 main     OS Release: 20.1.0
00:00:00.002011 main     OS Version: Darwin Kernel Version 20.1.0: Sat Oct 31 00:07:11 PDT 2020; root:xnu-7195.50.7~2/RELEASE_X86_64
00:00:00.002145 main     DMI Product Name: MacBookPro14,1
00:00:00.002199 main     DMI Product Version: 1.0
00:00:00.002203 main     Firmware type: failed - VERR_NOT_SUPPORTED
00:00:00.002238 main     Host RAM: 16384MB (16.0GB) total, 7025MB (6.8GB) available
00:00:00.002243 main     Executable: /Applications/VirtualBox.app/Contents/MacOS/VBoxSVC
00:00:00.002244 main     Process ID: 3423
00:00:00.002244 main     Package type: DARWIN_64BITS_GENERIC
00:00:00.006127 main     IPC socket path: /tmp/.vbox-mattcen-ipc/ipcd
00:00:00.109600 nspr-2   VirtualBox: object creation starts
00:00:00.109781 nspr-2   Home directory: '/Users/mattcen/Library/VirtualBox'
00:00:00.110120 nspr-2   Loading settings file "/Users/mattcen/Library/VirtualBox/VirtualBox.xml" with version "1.14-macosx"
00:00:00.110619 nspr-2   USBLib: Couldn't find any matches.
00:00:00.133629 nspr-2   HostDnsMonitor: initializing
00:00:00.134130 nspr-2   SUP: Couldn't find any matches. The kernel module is probably not loaded.
00:00:00.134162 dns-monitor HostDnsMonitor: updating information
00:00:00.139524 nspr-2   failed to create vboxnet0, error (0x80004005)
00:00:00.139821 nspr-2   VD: VDInit finished with VINF_SUCCESS
00:00:00.140490 nspr-2   Loading settings file "/Users/mattcen/VirtualBox VMs/izzy/izzy.vbox" with version "1.17-macosx"
TRUNCATED
00:00:00.150857 nspr-2   Loading settings file "/Users/mattcen/VirtualBox VMs/Elementary/Elementary.vbox" with version "1.16-macosx"
00:00:00.151425 nspr-2   VirtualBox: object created
00:00:00.151465 dns-monitor HostDnsMonitor: old information
00:00:00.151481 dns-monitor   no server entries
00:00:00.151490 dns-monitor   no domain set
00:00:00.151498 dns-monitor   no search string entries
00:00:00.151504 dns-monitor HostDnsMonitor: new information
00:00:00.151519 dns-monitor   server 1: 151.236.14.64
00:00:00.151524 dns-monitor   server 2: 194.156.228.111
00:00:00.151530 dns-monitor   no domain set
00:00:00.151534 dns-monitor   no search string entries
00:00:01.458446 nspr-4   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:01.466870 nspr-4   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:01.489295 nspr-4   SUP: Couldn't find any matches. The kernel module is probably not loaded.
00:00:01.650863 nspr-3   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:01.653870 nspr-3   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:06.333987 nspr-4   Launched VM: 2692594688 pid: 3427 (0xd63) frontend: GUI/Qt name: izzy
00:00:06.394381 nspr-4   SUP: Couldn't find any matches. The kernel module is probably not loaded.
00:00:06.457818 nspr-4   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:06.460111 nspr-4   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:06.835218 Watcher  ERROR [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={MachineWrap} aText={The virtual machine 'izzy' has terminated unexpectedly during startup with exit code 1 (0x1)}, preserve=false aResultDetail=0
00:00:07.703091 nspr-4   SUP: Couldn't find any matches. The kernel module is probably not loaded.
00:00:07.762140 nspr-2   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0
00:00:07.764902 nspr-2   WARNING [COM]: aRC=NS_ERROR_FAILURE (0x80004005) aIID={16ced992-5fdc-4aba-aff5-6a39bbd7c38b} aComponent={HostWrap} aText={Could not load the Host USB Proxy service: VERR_GENERAL_FAILURE}, preserve=true  aResultDetail=0

I've confirmed that if I do a clean Big Sur install on a fresh APFS container on the same machine, and install VirtualBox in that, everything works fine and I can start a VM.

I'd rather not wipe my current installation if I can avoid it, though. Hopefully the above helps further diagnosis; thanks for all your work so far, @aeichner

Last edited 8 months ago by mattcen (previous) (diff)

comment:56 in reply to: ↑ 52 Changed 8 months ago by jalkmco9qi32

Replying to aeichner:

Replying to TommiC:

"We gave them ample time and they just simply do not care" is a joke. _You_ didn't gave us anything, especially when it comes to time time. It is just arrogant to assume that engineers have nothing else to do than waiting for Apple changing something fundamentally and immediately starting to implement support for it during the Beta cycle. Apple completely re-did their KEXT handling and there were issues throughout the different Betas with it blocking us from getting everything tested extensively, they even changed the kmutil command line tool completey in the last Beta.</rant>

"Waiting for apple...."

This ticket was opened 4 months ago, and then quickly closed by arrogant developers with the cause being "we don't support beta software" But it is obvious you don't support current software either. The arrogance is all on your end. I'd gladly donate, but as I said, its simply not possible. Delete my comments if it makes you happier, but don't try to paint a picture other than the issue was posted on 8/5/20 and it was closed for the reasons I stated.

I am looking for a solution as none of the above has worked up to now.

comment:57 follow-up: ↓ 60 Changed 8 months ago by Zulfiyya

Updated today to Big Sur Version 11.0.1 (20B50) (I regret that did not check issues connected to this update before, but still) -I had the same issue; -Deleted VirtualBox from application folder. Deleted VirtualBox folder from ~/Library; -Restarted; -Downloaded and installed VirtualBox Version 6.1.17 r141370 with no changes in Security&Privacy tab. First it did not let me open/install when I double clicked on it, but it worked with right click>Open. It prompted me to Security&Privacy tab, and after asked to restart; -Restarted again. Imported my VMs. Looks like it works!

I was so afraid after all these comments that it will not work, cause I have exam in 3 days, I would go crazy if it did not work. THANK YOU for all the work done to fix the bugs! For me it works for now. Hope there will not be any other issues.

comment:58 Changed 8 months ago by enemyben

I'm in the same boat as some of the other users still experiencing this bug with Vbox on Big Sur. Have attempted feedback in this thread. Steps taken:

1) Uninstall Vbox, search mac for any vbox remainders except my VDI file, and delete. Restart 2) Install current test Vbox 6.1.17 3) Installtion successful but does NOT give me any heads up about the security settings 4) Open Security & Privacy - no notices about Oracle/Vbox 5) Click on Full Disk Access, check VirtualBox to give it full disk access 6) Restart 7) Open Vbox, create new, link to existing VDI file 8) Start - immediately get "Kernel driver not installed (rc=-1908)" error. See the NS_ERROR_FAILURE (0x80004005). Vbox quits unexpectedly 9) Logs attached

Changed 8 months ago by enemyben

Changed 8 months ago by enemyben

comment:59 Changed 8 months ago by jalkmco9qi32

@enemyben I followed the instructions by @Zulfiyya and had no luck either. As you experienced I never got the security popup in Settings. I manually tried to add it via unlock and check box, still nothing works.

comment:60 in reply to: ↑ 57 Changed 8 months ago by beaunus

Replying to Zulfiyya:

Updated today to Big Sur Version 11.0.1 (20B50) (I regret that did not check issues connected to this update before, but still) -I had the same issue; -Deleted VirtualBox from application folder. Deleted VirtualBox folder from ~/Library; -Restarted; -Downloaded and installed VirtualBox Version 6.1.17 r141370 with no changes in Security&Privacy tab. First it did not let me open/install when I double clicked on it, but it worked with right click>Open. It prompted me to Security&Privacy tab, and after asked to restart; -Restarted again. Imported my VMs. Looks like it works!

I was so afraid after all these comments that it will not work, cause I have exam in 3 days, I would go crazy if it did not work. THANK YOU for all the work done to fix the bugs! For me it works for now. Hope there will not be any other issues.

This worked for me. Thank you.

comment:61 Changed 8 months ago by aeichner

Everyone who needs to run VBox with SIP disabled please try the latest testbuild from here. It contains fixes for that configuration.

comment:62 Changed 8 months ago by tom_vbox

@aeichner Thanks for working on this. I think there is progress but the issue is still not solved completely.

I use the following SIP settings

csrutil enable --without debug --without fs

After installing VirtualBox-6.1.17-141652-OSX.dmg and rebooting still no popup in the Preferences - Security - General to confirm the extension.

But I can load the first component successfully now by doing:

sudo kextload -b org.virtualbox.kext.VBoxDrv

Unfortunately loading the rest of the component still fails:

sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB
Password:
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetFlt
Unable to resolve dependencies for org.virtualbox.kext.VBoxNetFlt: 'KernelExtension org.virtualbox.kext.VBoxNetFlt v6.1.16 in executable kext bundle org.virtualbox.kext.VBoxNetFlt at /Library/StagedExtensions/Library/Application Support/VirtualBox/VBoxNetFlt.kext' names a dependency on 'org.virtualbox.kext.VBoxDrv', but could not find version compatible with '6.1.16'.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxNetAdp
Unable to resolve dependencies for org.virtualbox.kext.VBoxNetAdp: 'KernelExtension org.virtualbox.kext.VBoxNetAdp v6.1.16 in executable kext bundle org.virtualbox.kext.VBoxNetAdp at /Library/StagedExtensions/Library/Application Support/VirtualBox/VBoxNetAdp.kext' names a dependency on 'org.virtualbox.kext.VBoxDrv', but could not find version compatible with '6.1.16'.
Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxUSB
Unable to resolve dependencies for org.virtualbox.kext.VBoxUSB: 'KernelExtension org.virtualbox.kext.VBoxUSB v6.1.16 in executable kext bundle org.virtualbox.kext.VBoxUSB at /Library/StagedExtensions/Library/Application Support/VirtualBox/VBoxUSB.kext' names a dependency on 'org.virtualbox.kext.VBoxDrv', but could not find version compatible with '6.1.16'.

When trying to start a VM the old message regarding the kext ist gone, but the VM still fails to start with the following output:

Failed to open/create the internal network 'HostInterfaceNetworking-en0' (VERR_SUPDRV_COMPONENT_NOT_FOUND).

Failed to attach the network LUN (VERR_SUPDRV_COMPONENT_NOT_FOUND).

Fehlercode: NS_ERROR_FAILURE (0x80004005)
Komponente: ConsoleWrap
Interface: IConsole {872da645-4a9b-1727-bee2-5585105b9eed}

Thanks for looking into it again and for fixing the remaining issues. I'll happily test the next development version and give feedback when you think these issues are fixed.

Thanks

comment:63 Changed 8 months ago by L_vbox

I have I followed all the instructions given and none worked (csrutil enable/disable, uninstall/install, etc...). I also tried the latest build from https://www.virtualbox.org/wiki/Testbuilds but still nothing.
Every tyme by running the following command

sudo kextload -b org.virtualbox.kext.VBoxDrv

triggers the error :

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Error occurred while building a collection: slice is not page aligned

Thanks in advance.

comment:64 Changed 8 months ago by georgelza

... so just followed pretty much all of this and still getting kernel error as per everyone above, running the 6.1.17 drop. I get the kernel error on a VM start, also getting a second error when I go File / Host Network Manager / Create => Failed to create host network interface

Big Sur has been out what 2 weeks now, come on Oracle, get this fixed, this is not how we work on a MAC,

G

comment:65 Changed 8 months ago by Sergiyko

Even stable 6.1.16 works for me.

I can't understand how to unlock the "Allow" button - you need to click on lock in left bottom corner https://photos.google.com/share/AF1QipOK0G7Cx47ZqWTod8moM64EJKtjdVnnjhfZ0h4_J_n42HP5_KcDjm-uoGnD0nlrKg/photo/AF1QipNslLEWoE5YLxrYzyOpR_fNHWP_T-svCBWext8q?key=WGNNbGJQNFF2dk04S3g3dnlBdzZPUm56Vm5XR2dR

Last edited 8 months ago by Sergiyko (previous) (diff)

comment:66 Changed 8 months ago by jalkmco9qi32

Big S-turd 11.1 out today

  • VirtualBox-6.1.16-140961-OSX = Fails to install
  • VirtualBox-6.1.17-141725-OSX = Installed, No Security Popup, Kernel Error
  • VirtualBox-6.1.97-141743-OSX = Installed, Crashes on start, cannot be opened because of a problem
Last edited 8 months ago by jalkmco9qi32 (previous) (diff)

comment:67 Changed 7 months ago by Aleix Solà

Hello, working for me:

MacOS Big Sur 11.1

comment:68 Changed 7 months ago by L_vbox

Hello, not working for me with Big Sur 11.1 (csrutil enable/disable):

  • Uninstalled using script
  • Installed VirtualBox-6.1.17-141928-OSX
  • Installed Extension Pack
  • Reboot
  • Run any VM (same error: Kernel driver not installed (rc=-1908))

Every tyme by running the following command:

sudo kextload -b org.virtualbox.kext.VBoxDrv

triggers the error :

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Error Domain=KMErrorDomain Code=31 "Error occurred while building a collection: slice is not page aligned" UserInfo={NSLocalizedDescription=Error occurred while building a collection: slice is not page aligned}

comment:69 Changed 7 months ago by tom_vbox

I'm using modified SIP settings:

csrutil enable --without debug --without fs

I started trying this from scratch and don't know if this is a nice or good workaround, but I found a workaround that can be reproduced with the following steps on macOS 11.1:

1 uninstall virtualbox with the uninstall script

2 reboot

3 install latest VirtualBox-6.1.17-xxx test version, 6.1.16 does not work

4 trying to load the kext gives the following error:

Executing: /usr/bin/kmutil load -b org.virtualbox.kext.VBoxDrv
Error Domain=KMErrorDomain Code=30 "Validating extension failed: Kext org.virtualbox.kext.VBoxDrv v6.1.17 in executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext:

Filesystem error: Invalid directory for executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext. Should appear in one of:
	/System/Library/Extensions
	/Library/Apple/System/Library/Extensions
	/Library/Extensions
	/AppleInternal/Library/Extensions
	/System/AppleInternal/Library/AuxiliaryExtensions
	/System/AppleInternal/Diagnostics/AuxiliaryExtensions
	/System/Library/AuxiliaryExtensions
	/Library/StagedExtensions
	/private/var/db/KernelExtensionManagement/Staging" UserInfo={NSLocalizedDescription=Validating extension failed: Kext org.virtualbox.kext.VBoxDrv v6.1.17 in executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext:

Filesystem error: Invalid directory for executable kext bundle org.virtualbox.kext.VBoxDrv at /Library/Application Support/VirtualBox/VBoxDrv.kext. Should appear in one of:
	/System/Library/Extensions
	/Library/Apple/System/Library/Extensions
	/Library/Extensions
	/AppleInternal/Library/Extensions
	/System/AppleInternal/Library/AuxiliaryExtensions
	/System/AppleInternal/Diagnostics/AuxiliaryExtensions
	/System/Library/AuxiliaryExtensions
	/Library/StagedExtensions
	/private/var/db/KernelExtensionManagement/Staging}

5 So I tried copying the kexts to these locations with mixed success. All suggested directories starting with /System were not writable with my SIP settings. Copying the extensions to /Library/Extensions worked for VBoxDrv, but led to errors for the other kexts. Finally copying the extensions to /Library/Apple/System/Library/Extensions worked as expected ;)

VBOX_KEXT_DESTINATION=/Library/Apple/System/Library/Extensions
sudo cp -a "/Library/Application Support/VirtualBox/VBoxDrv.kext" "$VBOX_KEXT_DESTINATION"/VBoxDrv.kext
sudo cp -a "/Library/Application Support/VirtualBox/VBoxNetFlt.kext" "$VBOX_KEXT_DESTINATION"/VBoxNetFlt.kext
sudo cp -a "/Library/Application Support/VirtualBox/VBoxNetAdp.kext" "$VBOX_KEXT_DESTINATION"/VBoxNetAdp.kext
sudo cp -a "/Library/Application Support/VirtualBox/VBoxUSB.kext" "$VBOX_KEXT_DESTINATION"/VBoxUSB.kext
	
sudo kextload -b org.virtualbox.kext.VBoxDrv
sudo kextload -b org.virtualbox.kext.VBoxNetFlt
sudo kextload -b org.virtualbox.kext.VBoxNetAdp
sudo kextload -b org.virtualbox.kext.VBoxUSB

6 confirm loading the extensions in the popup

7 open System Preferences - Privacy - General and accept the extension

8 reboot

9 enjoy ;)))

I hope this helps anyone who uses modified SIP settings and I hope this helps the devs solve the problem. Unfortunaltey symlinks to the directory were not working for me.

Last edited 7 months ago by tom_vbox (previous) (diff)

comment:70 Changed 7 months ago by L_vbox

News?

comment:71 Changed 7 months ago by jalkmco9qi32

I simply don't have time for them to fix this, when they have had 5 months.

I'm out, just paid for Parallels.

Good luck.

comment:72 Changed 6 months ago by stazeb

Hello, not working for me with Big Sur 11.1 (csrutil clear). I am running VirtualBox 6.1.18 on iMac Retina 4k Late 2014 osMac Big Sur 11.1.

  1. Uninstalled using script
  2. Reboot
  3. csrutil clear
  4. Installed VirtualBox 6.1.18
  5. Installed Extension Pack
  6. Reboot
  7. Run any VM (same error: Kernel driver not installed (rc=-1908))

comment:73 Changed 6 months ago by stazeb

I'm out, just paid for Parallels.

Good luck.

comment:74 Changed 6 months ago by KORG

Release 6.1.18 is broken and doesn't works on BigSur.

error: Kernel driver not installed (rc=-1908)

I'm out too, VmWare Fusion 12.1.0 (17195230) works without single problem.

comment:75 follow-up: ↓ 76 Changed 6 months ago by Bill Totman

My resolution involved finding Oracle's developer ID and approving it.

I had installed VirtualBox 6.1.18r142142 via brew but was unable to get a vm started.

  1. I had seen some attempt in the wild to load the VBoxDrv kext and used it as to identify Oracle's developer ID:
$ spctl -a -vv -t install \
/Library/Application\ Support/VirtualBox/VBoxDrv.kext/Contents/MacOS/VBoxDrv

/Library/Application Support/VirtualBox/VBoxDrv.kext/Contents/MacOS/VBoxDrv: accepted
source=Notarized Developer ID
origin=Developer ID Application: Oracle America, Inc. (VB5E2TV963)

Note: Presuming Oracle doesn't have, nor will have, multiple Apple dev IDs, your result should be the same.

  1. Approve the ID:
    1. Reboot into Recovery Mode, authenticate, open a Terminal session, run the following, and then reboot:
spctl kext-consent add VB5E2TV963
  1. When you log back in, you might be greeted with some pop ups, they didn't tell me much, and they didn't point me to the next step: unblocking Oracle as a developer
    1. Open System Preferences and go to Security & Privacy
    2. Click on Details under "Some system software requires..."
    3. Check the box next to Oracle America...
    4. Click OK
    5. You will be asked to restart
  1. Once restarted, verify the approval of Oracle:
    spctl kext-consent status
    
    Kernel Extension User Consent: ENABLED
    
  1. and:
    spctl kext-consent list
    
    Allowed Team Identifiers:  
    VB5E2TV963
    
  1. Test the start of the vm.

This solution was primarily derived from  https://developer.apple.com/forums/thread/666956

Last edited 6 months ago by Bill Totman (previous) (diff)

comment:76 in reply to: ↑ 75 ; follow-up: ↓ 77 Changed 6 months ago by DennisC

Replying to Bill Totman:

My resolution involved finding Oracle's developer ID and approving it.

Thank you. VMs now start without crashing immediately. I'm still getting very erratic behavior from Ubuntu 20.4 LTS installer. It has never run to completion.

comment:77 in reply to: ↑ 76 Changed 6 months ago by Bill Totman

Replying to DennisC:

Thank you. VMs now start without crashing immediately. I'm still getting very erratic behavior from Ubuntu 20.4 LTS installer. It has never run to completion.

Glad to hear the progress.

I still cannot create a host-only network. I currently do not need one let alone have time to look into it.

Once one of those two condition changes, in addition to searching for my error, my next steps will include looking into tom_vbox's comment - the cp section for insight.

comment:78 follow-up: ↓ 79 Changed 6 months ago by andrewcurryla

Not sure what worked specifically, but I never had the popup "allow" button in security and privacy. After looking around for possible fixes, found this

 https://developer.apple.com/forums/thread/658007

so using terminal and sudo -su, I removed all items in /Library/Extensions from outdated apps/devices that I no longer have use rebooted

FYI: using VirtualBox-6.1.19-142673 & VirtualBox_Extension_Pack-6.1.18

This was after weeks of trial and error and seemed to fix issues, now I can use Virtualbox and genymotion perfectly.

comment:79 in reply to: ↑ 78 Changed 5 months ago by Bill Totman

Replying to andrewcurryla:

Was this a new installation or an upgrade to Big Sur?

Not sure what worked specifically, but I never had the popup "allow" button in security and privacy. After looking around for possible fixes, found this

 https://developer.apple.com/forums/thread/658007

so using terminal and sudo -su, I removed all items in /Library/Extensions from outdated apps/devices that I no longer have use rebooted

FYI: using VirtualBox-6.1.19-142673 & VirtualBox_Extension_Pack-6.1.18

This was after weeks of trial and error and seemed to fix issues, now I can use Virtualbox and genymotion perfectly.

comment:80 Changed 5 months ago by Michael Abboud

Apple released Big Sur 11.2.3 just tonight, in Australia. Installed on my iMac and after the reboot, my Virtual Box install Version 6.1.18 r142142 (Qt5.6.3) started working again.

I too had the infamous Kernel driver not installed (rc=-1908)... etc. error

But the update for me at least seems to have fixed it. No other attempted mods by me.

Hope this helps the community.

Michael

comment:81 Changed 4 months ago by jalkmco9qi32

Since I still have data stranded in a mysql server inside of a virutal box instance, I visit back to try to get this pile running so I can extract that data.

Above, Michael must have had some amazing luck, as I just installed Version 6.1.18 r142142 (Qt5.6.3) and STILL HAVE the issue. Wont start, crashes out.

8 Months. EIGHT MONTHS.

Glad I move to Parallels but still looking to extract the data from this dinosaur turd that is Virtualbox.

comment:82 Changed 3 months ago by BillCompton

I just updated to Big Sur (latest was also 11.2.3) yesterday and run smack into this brick wall. This is a very sad day. VirtualBox has been the only cross-platform VM framework but now that it doesn't run on latest Mac, I think we have nothing that will run our VMs across all platforms.

So long VirtualBox. It was good knowing you.

comment:83 Changed 3 months ago by BPine

MacOS Big Sur 11.3 came out a few days ago. After upgrading to it (from Big Sur 11.2.3), VirtualBox started working for me again (first time since upgrading to Big Sur). I was having the same issue as others, until installing Big Sur 11.3. This observation is with VirtualBox 6.1.20.

comment:84 Changed 2 months ago by rtreborb

I am on Big Sur 11.4 and facing the issue. I uninstalled using VirtualBox_Uninstall.tool, rebooted, and then installed the latest (6.1.22r1440800). I then rebooted again and tried to launch my Win10 virtual machine, but am still seeing the crash. I also tried recreating the virtual machine with no success.

I do not see any option to Allow in Security & Privacy, and I have never modified any csrutil settings. If I run "csrutil status" from the command line, I can see it is enabled.

Is there any recommendation?

Last edited 2 months ago by rtreborb (previous) (diff)

comment:85 follow-up: ↓ 90 Changed 2 months ago by jbraw

I just upgraded to Big Sur 11.4 yesterday and am also on VB 6.1.22r144080. I am running Ubuntu 20.10 as a guest.

After I upgraded to 11.4, I received the usual immediate fatal error when trying to run VB.

What used to work for me was the standard security fix that has been suggested: System Preferences->Privacy and Security, and make sure Oracle was not being blocked.

But Oracle was not being blocked after the upgrade to 11.4 so I thought my luck had run out and current VB was indeed incompatible with 11.4.

But then I rebooted the mac, and tried VB again, and then it worked. So... that does not fill me with confidence... but apparently the combination Big Sur 11.4 and current VB can work together.

Sorry that does not help you solve your problem, but thought that the information might be relevant. I am loathe to upgrade the MacOS again until this is sorted out. I really need the linux side to be working for the mac to be useful.

Also, don't try to upgrade an ubuntu guest to 21.04 on mac hardware yet. Apparently a bug with ubuntu's latest release on mac hardware leads to an unbootable system after an ubuntu upgrade to 21.04. Sigh.

comment:86 Changed 2 months ago by klaus

It is known behavior of Big Sur (deliberate decision by Apple) that kernel extensions cannot be loaded at runtime (and the installer will tell you that). They are loaded only on boot, which means that one needs to reboot to use VirtualBox. After that everything should work as normal. Until then nothing should crash. You just can't start any VM.

comment:87 Changed 2 months ago by rtreborb

I was able to get my Windows 10 VM to launch on Big Sur 11.4 using VirtualBox 6.1.22r1440800. It's a new VM, and I was getting the crash after launching the VM and trying to select an image to mount. When I would try and "choose" an iso, it would crash with the error. I was able to work around it by modifying the VM's settings and adding the disc that way.

So it may have been working for me all along, and the crash I was facing is a different one. For testing, I uninstalled VirtualBox, ran spctl kext-consent remove VB5E2TV963 in recovery, rebooted, then did a new install and rebooted again. I was not prompted to allow anything and nothing is present in Security & Privacy. I am able to launch both Ubuntu 20 and Windows 10 virtual machines.

comment:88 Changed 2 months ago by klaus

I will never understand why macOS users constantly talk about a "crash" when there is no crash whatsoever. Just a friendly message on the screen telling that the required kernel module isn't loaded. It just causes endless misunderstanding.

comment:89 Changed 2 months ago by rtreborb

Replying to klaus:

I will never understand why macOS users constantly talk about a "crash" when there is no crash whatsoever. Just a friendly message on the screen telling that the required kernel module isn't loaded. It just causes endless misunderstanding.

In my case, the VM was being terminated abnormally and forcefully closing, preventing it from being used. I consider that to be the VM "crashing".

Last edited 2 months ago by rtreborb (previous) (diff)

comment:90 in reply to: ↑ 85 Changed 8 weeks ago by jbraw

Replying to jbraw:

I just upgraded to Big Sur 11.4 yesterday and am also on VB 6.1.22r144080. I am running Ubuntu 20.10 as a guest.

After I upgraded to 11.4, I received the usual immediate fatal error when trying to run VB.

What used to work for me was the standard security fix that has been suggested: System Preferences->Privacy and Security, and make sure Oracle was not being blocked.

But Oracle was not being blocked after the upgrade to 11.4 so I thought my luck had run out and current VB was indeed incompatible with 11.4.

But then I rebooted the mac, and tried VB again, and then it worked. So... that does not fill me with confidence... but apparently the combination Big Sur 11.4 and current VB can work together.

Sorry that does not help you solve your problem, but thought that the information might be relevant. I am loathe to upgrade the MacOS again until this is sorted out. I really need the linux side to be working for the mac to be useful.

Also, don't try to upgrade an ubuntu guest to 21.04 on mac hardware yet. Apparently a bug with ubuntu's latest release on mac hardware leads to an unbootable system after an ubuntu upgrade to 21.04. Sigh.

FYI. The Ubuntu developers fixed the issue, and today was able to update the host to Ubuntu 21.04 on the Mac. So a current VB, current Big Sur 11.4, and current Ubuntu can work on the Mac.

comment:91 Changed 6 weeks ago by uselessanim

I have the same issue, tried uninstalling/installing several times. The symptoms are different every time, sometimes launched VMs windows are just crashed (handling with no response), sometimes VMs can't load with BSOD or kernel panic.

comment:92 Changed 2 weeks ago by jalkmco9qi32

It is 340 days from the original post, or 11 months, 6 days.

29,376,000 seconds

489,600 minutes

8160 hours

340 days

48 weeks and 4 days.

Total Solutions: still ZERO.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use